> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get rrapiv1contracts prepaid commits usage events



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /rr/api/v1/contracts/{contract_id}/prepaid-commits/{commit_id}/usage-events
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /rr/api/v1/contracts/{contract_id}/prepaid-commits/{commit_id}/usage-events:
    get:
      tags:
        - rr
      operationId: rr_api_v1_contracts_prepaid_commits_usage_events_list
      parameters:
        - in: path
          name: commit_id
          schema:
            type: integer
          required: true
        - in: path
          name: contract_id
          schema:
            type: integer
          required: true
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPrepaidUsageEventList'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    PaginatedPrepaidUsageEventList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/PrepaidUsageEvent'
    PrepaidUsageEvent:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        prepaid_commit:
          type: integer
          readOnly: true
        consumption:
          type: integer
          nullable: true
          readOnly: true
        external_id:
          type: string
          nullable: true
          description: Source row ID
          maxLength: 250
        event_date:
          type: string
          format: date
          nullable: true
          description: Event date (dt)
        period_month:
          type: string
          format: date
          description: First-of-month (dm)
        total_revenue_dollars:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        total_events:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        data:
          description: >-
            Flexible key-value pairs for customer-specific columns (team_id,
            product_feature, model_intent, etc.)
        adjustment_date:
          type: string
          format: date
          nullable: true
          description: Date the adjustment was recorded. Null for normal events.
        is_adjustment:
          type: boolean
        original_period_month:
          type: string
          format: date
          nullable: true
          description: The original period being corrected (only for adjustments)
        created_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - consumption
        - created_at
        - id
        - period_month
        - prepaid_commit
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````